
template <typename T> int signum(T val) {
    return (T(0) < val) - (val < T(0));
}

double closestAngle(double current, double target)
{
        // get direction
        double dir = target % 360.0 - current % 360.0;

        // convert from -360 to 360 to -180 to 180
        if (abs(dir) > 180.0)
        {
                dir = -(signum(dir) * 360.0) + dir;
        }
        return dir;
}
